# Type Alias PublishButtonConfiguration

type PublishButtonConfiguration = {
disabledEntries: string[];
otherEnabledEntries: string[];
sections: PublishButtonConfigurationCustomSection[];
useCustom: boolean;
writeRight:
| typeof WRITE_RIGHT_ALL
| typeof WRITE_RIGHT_ADMIN
| typeof WRITE_RIGHT_CUSTOM
| typeof WRITE_RIGHT_PUBLIC;
writeRightSelector: Audience[];
}

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:19

##### Index

### Properties

disabledEntries
otherEnabledEntries
sections
useCustom
writeRight
writeRightSelector

## Properties

### disabledEntries

disabledEntries: string[]

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:29

### otherEnabledEntries

otherEnabledEntries: string[]

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:28

### sections

sections: PublishButtonConfigurationCustomSection[]

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:27

### useCustom

useCustom: boolean

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:26

### writeRight

writeRight:
| typeof WRITE_RIGHT_ALL
| typeof WRITE_RIGHT_ADMIN
| typeof WRITE_RIGHT_CUSTOM
| typeof WRITE_RIGHT_PUBLIC

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:20

### writeRightSelector

writeRightSelector: Audience[]

- Defined in jamespot-user-api/src/types/adminAdvanced.ts:25